#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n;
    scanf("%d",&n);
    int x[n];
    for(int t = 0; t < n ;t++)
    {
        scanf("%d",&x[t]);

    }
    int k, k1;
    k1=x[1]*10+x[0];
     for(int t = n-1; t >= 0 ;t--)
    {
        printf("%d ",x[t]);

    }

}